### Method

# Gio SimpleAsyncResult get_op_res_gpointer

deprecated: 2.46

#### Declaration

    gpointer
    g_simple_async_result_get_op_res_gpointer (
      GSimpleAsyncResult* simple
    )

#### Description

Gets a pointer result as returned by the asynchronous function.

Deprecated since: 2.46

Use `GTask` and `g_task_propagate_pointer()` instead.

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

A pointer from the result.

The data is owned by the instance.
The return value can be `NULL`.